classification
Title: Enum helper functions test-coverage
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ethan.furman Nosy List: CliffM, ethan.furman, python-dev
Priority: normal Keywords: patch

Created on 2013-10-03 22:08 by CliffM, last changed 2013-10-07 00:20 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
enum.patch CliffM, 2013-10-03 22:08 new tests, and slight original function change review
Messages (3)
msg198923 - (view) Author: CliffM (CliffM) Date: 2013-10-03 22:08
Added some tests for the _is_sunder and _is_dunder helper functions in the enum module.
msg199120 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2013-10-07 00:14
Thanks for catching that, Cliff.
msg199121 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-07 00:20
New changeset 516576f5f9dc by Ethan Furman in branch 'default':
Close #19156: add tests and fix for Enum helper edge cases.  Patch from CliffM.
http://hg.python.org/cpython/rev/516576f5f9dc
History
Date User Action Args
2013-10-07 00:20:09python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg199121

resolution: fixed
stage: patch review -> resolved
2013-10-07 00:14:56ethan.furmansetmessages: + msg199120
2013-10-04 07:49:28ethan.furmansetassignee: ethan.furman

nosy: + ethan.furman
stage: patch review
2013-10-03 22:08:19CliffMcreate